<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::integration::test::NetworkIntegrationTests Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html">NetworkIntegrationTests</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::test::NetworkIntegrationTests Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::integration::test::NetworkIntegrationTests:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests_inherit__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::integration::test::NetworkIntegrationTests:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests_coll__map" id="alexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1c60abc3405dba4c2b8fc9d384bf16d5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#a1c60abc3405dba4c2b8fc9d384bf16d5">SetUp</a> () override</td></tr>
<tr class="separator:a1c60abc3405dba4c2b8fc9d384bf16d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a9af9fe38d0718b5573a7114b50464d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#a1a9af9fe38d0718b5573a7114b50464d">TearDown</a> () override</td></tr>
<tr class="separator:a1a9af9fe38d0718b5573a7114b50464d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66d3dccf98dfeb3983cc58195ad14149"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#a66d3dccf98dfeb3983cc58195ad14149">connect</a> ()</td></tr>
<tr class="separator:a66d3dccf98dfeb3983cc58195ad14149"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc659e27bce59402e4bf88e4b626838d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#adc659e27bce59402e4bf88e4b626838d">disconnect</a> ()</td></tr>
<tr class="separator:adc659e27bce59402e4bf88e4b626838d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab65bcba9fc23b86b28ce65b45971acb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#aab65bcba9fc23b86b28ce65b45971acb">sendEvent</a> (const std::string &amp;jsonContent, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a> expectedStatus, std::chrono::seconds timeout, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt; attachmentReader=nullptr)</td></tr>
<tr class="separator:aab65bcba9fc23b86b28ce65b45971acb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad57891138fa38f176ebb92b8135125be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#ad57891138fa38f176ebb92b8135125be">addDelay</a> (const std::string &amp;delayTime)</td></tr>
<tr class="separator:ad57891138fa38f176ebb92b8135125be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080e4936cd393fa2e9aab69436660ea8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#a080e4936cd393fa2e9aab69436660ea8">deleteDelay</a> ()</td></tr>
<tr class="separator:a080e4936cd393fa2e9aab69436660ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a9693b6f5a6664ce4f97c1217d995fc6a"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_c_l_test_context.html">ACLTestContext</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#a9693b6f5a6664ce4f97c1217d995fc6a">m_context</a></td></tr>
<tr class="memdesc:a9693b6f5a6664ce4f97c1217d995fc6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Context for running ACL based tests.  <a href="#a9693b6f5a6664ce4f97c1217d995fc6a">More...</a><br /></td></tr>
<tr class="separator:a9693b6f5a6664ce4f97c1217d995fc6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f80a7bb254710992101cb486bfbea59"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html">ConnectionStatusObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#a4f80a7bb254710992101cb486bfbea59">m_connectionStatusObserver</a></td></tr>
<tr class="memdesc:a4f80a7bb254710992101cb486bfbea59"><td class="mdescLeft">&#160;</td><td class="mdescRight">ConnectionStatus Observer for checking the status changes in connection.  <a href="#a4f80a7bb254710992101cb486bfbea59">More...</a><br /></td></tr>
<tr class="separator:a4f80a7bb254710992101cb486bfbea59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e0350f3902034c7415f41e1437ca346"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html">AVSConnectionManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#a8e0350f3902034c7415f41e1437ca346">m_avsConnectionManager</a></td></tr>
<tr class="memdesc:a8e0350f3902034c7415f41e1437ca346"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connection Manager for handling the communication between client and AVS.  <a href="#a8e0350f3902034c7415f41e1437ca346">More...</a><br /></td></tr>
<tr class="separator:a8e0350f3902034c7415f41e1437ca346"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7b99a89ad40f920dc1721d9707d6a68"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">contextManager::ContextManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_network_integration_tests.html#ac7b99a89ad40f920dc1721d9707d6a68">m_contextManager</a></td></tr>
<tr class="memdesc:ac7b99a89ad40f920dc1721d9707d6a68"><td class="mdescLeft">&#160;</td><td class="mdescRight">ContextManager object.  <a href="#ac7b99a89ad40f920dc1721d9707d6a68">More...</a><br /></td></tr>
<tr class="separator:ac7b99a89ad40f920dc1721d9707d6a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test class to stress test the ACL Library for slow network connection. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ad57891138fa38f176ebb92b8135125be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad57891138fa38f176ebb92b8135125be">&#9670;&nbsp;</a></span>addDelay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::NetworkIntegrationTests::addDelay </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>delayTime</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">The function adds delay to the network. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">DelayTime</td><td>The delay in milliseconds to be introduced in the network. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a66d3dccf98dfeb3983cc58195ad14149"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66d3dccf98dfeb3983cc58195ad14149">&#9670;&nbsp;</a></span>connect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::NetworkIntegrationTests::connect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This function enables the <code>m_avsConnectionManager</code> to establish a connection to AVS. </p>

</div>
</div>
<a id="a080e4936cd393fa2e9aab69436660ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a080e4936cd393fa2e9aab69436660ea8">&#9670;&nbsp;</a></span>deleteDelay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::NetworkIntegrationTests::deleteDelay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Remove the delay in the network. </p>

</div>
</div>
<a id="adc659e27bce59402e4bf88e4b626838d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc659e27bce59402e4bf88e4b626838d">&#9670;&nbsp;</a></span>disconnect()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::NetworkIntegrationTests::disconnect </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">This function disables the <code>m_avsConnectionManager</code> to tear down the connection. </p>

</div>
</div>
<a id="aab65bcba9fc23b86b28ce65b45971acb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab65bcba9fc23b86b28ce65b45971acb">&#9670;&nbsp;</a></span>sendEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::NetworkIntegrationTests::sendEvent </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>jsonContent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a>&#160;</td>
          <td class="paramname"><em>expectedStatus</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::seconds&#160;</td>
          <td class="paramname"><em>timeout</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt;&#160;</td>
          <td class="paramname"><em>attachmentReader</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">The function to send one message to AVS. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">jsonContent</td><td>The content in json format to send in the message. </td></tr>
    <tr><td class="paramname">expectedStatus</td><td>The expected status of the message being sent to AVS. </td></tr>
    <tr><td class="paramname">timeout</td><td>The maximum time to wait for the <code>expectedStatus</code>. </td></tr>
    <tr><td class="paramname">attachmentReader</td><td>The attachment reader for the MessageRequest. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1c60abc3405dba4c2b8fc9d384bf16d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c60abc3405dba4c2b8fc9d384bf16d5">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::NetworkIntegrationTests::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a9af9fe38d0718b5573a7114b50464d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a9af9fe38d0718b5573a7114b50464d">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::integration::test::NetworkIntegrationTests::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a8e0350f3902034c7415f41e1437ca346"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e0350f3902034c7415f41e1437ca346">&#9670;&nbsp;</a></span>m_avsConnectionManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_a_v_s_connection_manager.html">AVSConnectionManager</a>&gt; alexaClientSDK::integration::test::NetworkIntegrationTests::m_avsConnectionManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Connection Manager for handling the communication between client and AVS. </p>

</div>
</div>
<a id="a4f80a7bb254710992101cb486bfbea59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f80a7bb254710992101cb486bfbea59">&#9670;&nbsp;</a></span>m_connectionStatusObserver</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1_connection_status_observer.html">ConnectionStatusObserver</a>&gt; alexaClientSDK::integration::test::NetworkIntegrationTests::m_connectionStatusObserver</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ConnectionStatus Observer for checking the status changes in connection. </p>

</div>
</div>
<a id="a9693b6f5a6664ce4f97c1217d995fc6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9693b6f5a6664ce4f97c1217d995fc6a">&#9670;&nbsp;</a></span>m_context</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_a_c_l_test_context.html">ACLTestContext</a>&gt; alexaClientSDK::integration::test::NetworkIntegrationTests::m_context</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Context for running ACL based tests. </p>

</div>
</div>
<a id="ac7b99a89ad40f920dc1721d9707d6a68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7b99a89ad40f920dc1721d9707d6a68">&#9670;&nbsp;</a></span>m_contextManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1context_manager_1_1_context_manager.html">contextManager::ContextManager</a>&gt; alexaClientSDK::integration::test::NetworkIntegrationTests::m_contextManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ContextManager object. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Integration/test/<a class="el" href="_network_integration_tests_8cpp.html">NetworkIntegrationTests.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
